﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Windows.Forms.Diagram;

namespace WebApplication4
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!(IsPostBack))
            {
                Ellipse ellip = new Ellipse(100, 100, 100, 70);
                //Syncfusion.Windows.Forms.Diagram.Label lbl = new Syncfusion.Windows.Forms.Diagram.Label(ellip, "Hello");
                //ellip.Labels.Add(lbl);

                //Creating Dictionary and adding the required data
                Dictionary<string, object> PropertyBag = new Dictionary<string, object>();
                PropertyBag.Add("One", "One World");
                PropertyBag.Add("Two", "Two World");
                //Assigning the Dictionary object to Node's Tag
                ellip.Tag = PropertyBag;
                DiagramWebControl1.Model.AppendChild(ellip);
                //To Disable the Label Editor
                DiagramWebControl1.InPlaceEditing = false;
            }
            this.DiagramWebControl1.NodeDoubleClick += new Syncfusion.Web.UI.WebControls.Diagram.NodeDoubleClickEventHandler(DiagramWebControl1_NodeDoubleClick);
        }

        void DiagramWebControl1_NodeDoubleClick(object sender, Syncfusion.Web.UI.WebControls.Diagram.NodeDoubleClickEventArgs e)
        {
            
        }
    }
}
